# Queue settings

## Auto priority settings

Autoprio allows setting the queue item priority automatically when adding it to the download queue. A user can then change the priority of a file manually.
Priority conditions are checked from the Highest to the Lowest priority, when assigning a priority to a new queue item. A zero means that the given priority level won't be used - except Normal priority, which is the default priority. Lowest possible value for the Highest priority is 16 KiB.

Highest prio max size
  Files with the same or under the entered size will be set to Highest as priority. (default: 64 KiB)
Normal prio max size
  Files with the same or under the entered size, but above Highest and High prio max size, will be set to Normal as priority. (default: 0 KiB)
High prio max size
  Files with the same or under the entered size, but above Highest prio max size, will be set to High as priority. (default: 0 KiB)
Low prio max size
  Files with the same or under the entered size, but above Highest, High and Normal prio max size, will be set to Low as priority. (default: 0 KiB)

## Autodrop settings

Autodrop allows automatical removal (or disconnecting) of slow download sources. By default, slow sources are removed.
All of these autodrop options are necessary to estimate and disconnect/drop sources properly.

Drop sources below x B/s
  If the download speed of a file is below the entered value, the source will be dropped. (default: 1024 B/s)
Min elapsed
  Amount of time (in seconds) that has to pass since the download started before a source can be dropped. (default: 15 s)
Min sources online
  Minimum amount of sources before any sources will be dropped. (default: 1)
Check every x s
  Check every x second(s) if the source is slow. (default: 10 s)
Max inactivity
  This is the maximal time since the last chunk of data for the file was recieved. It is meant to improve speed measurement accuracy and to prevent dropping sources that are going to be disconnected only because of their current inactivity. (default: 10 s)
Min filesize
  Minimum filesize before sources will be dropped (in KiB). (default: 0 KiB)

## Other queue options

Set lowest prio for newly added files larger than Low prio size
  With this enabled, files that are larger than Low prio max size are set to Lowest as priority. If disabled, the files will be set to Normal as priority.
Autodrop slow sources for all queue items (except filelists)
  This option removes the slow sources for all queue items (except file lists).
  To enable autodrop, turn on either "Autodrop slow sources for all queue items" or "Remove slow file lists" (or both of them).
Remove slow filelists
  With this option enabled, DC++ will delete a file list whose speed was recognized as too slow.
  To enable autodrop, turn on either "Autodrop slow sources for all queue items" or "Remove slow file lists" (or both of them).
Don't remove the source when autodropping, only disconnect
  With this option enabled, sources will only be disconnected but not removed from the queue.
Automatically search for alternative download locations
  Every few minutes, the client will search for files in your Download Queue to find more download locations (more users/sources). The autosearch will find exact matches by searching via hash. The drawback is that it may won't find much more sources and will prevent manual searches on hubs where a predefined search interval rule is in effect. To avoid constant auto searches you can set the maximal number of sources that files can have when you specify a number in Auto search limit setting.
Automatically match queue for search hits
  Enable to automatically download a user's list and match them as sources for files in your Download Queue when they've been discovered as a source for one of the files you're downloading. If you download files in sets, that user is probably a source for many more files you're downloading. Enable if unsure. The drawbacks are that it might add slower sources, possibly increasing the time needed to complete a download, and that you'll download a lot of file lists.
Skip zero-byte files
  When this option is enabled, any zero byte files you try to download will be silently skipped. Sometimes empty files contain information through their naming. However every file, even an empty one, will consume some drive space.
Don't download files already in share
  This option will stop you from downloading files which already exist in one of your shared directories.
Don't download files already in the queue
  This option will stop you from downloading files which already exist in your queue.